Overview


This plugin requires ADVANCED CUSTOM FIELD PRO installed.

Plugin for polls based on regular WordPress and acf (advanced custom fields) functionalities using WP REST API and Javascript methods.

The main goal of ACF Onyx Poll is to be totally free, lightweight and simple. No fancy, colorful and polluted options or donate screens.

This plugin is based on Twitter poll cards style.

Features

Gutemberg Block with live preview
Include poll with a shortcode (ommit the ID to get the latest poll) [onyx-poll id=XX class="left|right|full"]
One click to vote
Works with cache plugins
Multiple polls per page
Support for images
Native widget for sidebar
Multiple style options [onyx-poll class="twitter|standard"]
Show poll in a modal
Show poll results on widget after expired
Highlight choosed choice in results area
Limit vote by device or time
Poll activation/expiration schedule
Results in percentage, numbers or both
Show/Hide results
Customize css with css variables
Disable all plugin CSS and use your own
Custom columns on WordPress data table admin area
Translations support

Observations

  • This plugin does not support Internet Explorer Browser. One of the goals of this plugin is to be js/css lightweight and jQuery free.

  • ACF Onyx Poll register fields via php to be able to use WordPress translation functions for field labels. So you won’t be able to view/edit the fields inside ACF Custom Fields Settings.

  • To enable a better/faster CRON you need to manually set your host cronjob to get https://domain.tld/wp-json/onyx/polls/cron endpoint or disable WP-Cron define('DISABLE_WP_CRON', true); inside your wp-config and manually create the cron in your host/server

    • Option 1: To run every hour set the cron:
      0 * * * * wget -q -O - https://domain.tld/wp-json/onyx/polls/cron > /dev/null 2>&1

    • Option 2: if you disable the default WP-Cron:
      0 * * * * wget -q -O - https://domain.com/wp-cron.php?doing_wp_cron > /dev/null 2>&1

Discuss


Summary
Version:
1.1.5
Last updated:
Active installations:
WordPress Version:
4.7 or higher
Tested up to:
5.8.1
PHP Version:
7.0 or higher
Ratings